<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Thành phần media</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminMediaComponent.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>

  </div>
  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <div id="mediaTable">
      <div class="d-flex justify-content-center align-items-center" style="margin-top: 20px">
        <h5 class="titleTable">Chỉnh sửa Thành phần Media của Website</h5>
      </div>
      <div style="width: 95%; margin: auto">
        <form class="mediaBox" enctype="multipart/form-data" method="post"
              th:action="@{/manager/update-slider}" th:object="${slider_update}">
          <div style="width: fit-content">
            <button aria-controls="collapseExample" aria-expanded="false" class="btn btn-primary"
                    data-target="#collapseExample1" data-toggle="collapse"
                    type="button">
              Slider Image
            </button>
          </div>
          <div class="collapse" id="collapseExample1">
            <div style="text-decoration: underline; margin: 20px 0">
              <small>
                <i aria-hidden="true" class="fa fa-exclamation-triangle"></i>
                - Hệ thống sẽ tự động cắt ảnh về kích thước 1350px - 550px</small>
            </div>
            <div class="carousel slide" data-bs-ride="carousel" id="carouselInterval"
                 style="display: block">
              <div class="carousel-indicators">
                <button aria-current="true" aria-label="Slide 1" class="active btnSlider"
                        data-bs-slide-to="0" data-bs-target="#carouselInterval"
                        type="button"></button>
                <button aria-label="Slide 2" class="btnSlider" data-bs-slide-to="1"
                        data-bs-target="#carouselInterval"
                        type="button"></button>
                <button aria-label="Slide 3" class="btnSlider" data-bs-slide-to="2"
                        data-bs-target="#carouselInterval"
                        type="button"></button>
                <button aria-label="Slide 4" class="btnSlider" data-bs-slide-to="3"
                        data-bs-target="#carouselInterval"
                        type="button"></button>
                <button aria-label="Slide 5" class="btnSlider" data-bs-slide-to="4"
                        data-bs-target="#carouselInterval"
                        type="button"></button>
              </div>
              <div class="carousel-inner">
                <div class="carousel-item active" data-bs-interval="5000" id="slider1">
                  <img alt="" class="d-block w-100" height="550px" th:src="${slider1}"
                       width="1350px">
                </div>
                <div class="carousel-item" data-bs-interval="5000" id="slider2">
                  <img alt="" class="d-block w-100" height="550px" th:src="${slider2}"
                       width="1350px">
                </div>
                <div class="carousel-item" data-bs-interval="5000" id="slider3">
                  <img alt="" class="d-block w-100" height="550px" th:src="${slider3}"
                       width="1350px">
                </div>
                <div class="carousel-item" data-bs-interval="5000" id="slider4">
                  <img alt="" class="d-block w-100" height="550px" th:src="${slider4}"
                       width="1350px">
                </div>
                <div class="carousel-item" data-bs-interval="5000" id="slider5">
                  <img alt="" class="d-block w-100" height="550px" th:src="${slider5}"
                       width="1350px">
                </div>
              </div>
            </div>
            <div class="d-flex justify-content-center" style="margin: 20px 0">
              <div>
                <input accept="image/*" id="choose-file-1" name="choose-file" th:field="*{file1}"
                       type="file"/>
                <label for="choose-file-1" id="labelSlider1">Chọn ảnh 1</label>
              </div>
              <div>
                <input accept="image/*" id="choose-file-2" name="choose-file" th:field="*{file2}"
                       type="file"/>
                <label for="choose-file-2" id="labelSlider2">Chọn ảnh 2</label>
              </div>
              <div>
                <input accept="image/*" id="choose-file-3" name="choose-file" th:field="*{file3}"
                       type="file"/>
                <label for="choose-file-3" id="labelSlider3">Chọn ảnh 3</label>
              </div>
              <div>
                <input accept="image/*" id="choose-file-4" name="choose-file" th:field="*{file4}"
                       type="file"/>
                <label for="choose-file-4" id="labelSlider4">Chọn ảnh 4</label>
              </div>
              <div>
                <input accept="image/*" id="choose-file-5" name="choose-file" th:field="*{file5}"
                       type="file"/>
                <label for="choose-file-5" id="labelSlider5">Chọn ảnh 5</label>
              </div>
            </div>
            <div class="d-flex justify-content-center" style="margin-bottom: 20px">
              <button class="btn btn-primary"
                      style="padding: 10px 30px; font-size: 18px; margin-left: 10px"
                      type="submit">
                Xác nhận
              </button>
            </div>
          </div>
        </form>
        <form class="mediaBox" enctype="multipart/form-data" method="post"
              th:action="@{/manager/update-video-banner}" th:object="${video_update}">
          <div style="width: fit-content">
            <button aria-controls="collapseExample" aria-expanded="false" class="btn btn-primary"
                    data-target="#collapseExample2" data-toggle="collapse"
                    type="button">
              Video banner
            </button>
          </div>
          <div class="collapse" id="collapseExample2">
            <div class="text-center" id="video-preview" style="margin-top: 20px">
              <video autoplay height="185" loop muted preload style="width: 100%; object-fit: cover"
                     with="1350">
                <source id="video_here" th:src="${video_banner}" type="video/mp4">
              </video>
            </div>
            <small style="text-decoration: underline">
              <i aria-hidden="true" class="fa fa-exclamation-triangle"></i>
              - Hệ thống sẽ tự động cắt video về kích thước 1350px - 185px</small>
            <div class="d-flex justify-content-center">
              <div>
                <input accept="video/*" class="file_multi_video" id="choose-file-video"
                       name="choose-file" th:field="*{file}" type="file"/>
                <label for="choose-file-video" id="labelVideo">Chọn video</label>
              </div>
              <div>
                <button class="btn btn-primary" id="confirm-video-button"
                        style="padding: 10px 30px; font-size: 18px; display: none; margin-left: 10px"
                        type="submit">
                  Xác nhận
                </button>
              </div>
              <div>
                <button class="btn btn-secondary" id="reset-video-button"
                        style="padding: 10px 30px; font-size: 18px; display: none; margin-left: 10px"
                        type="reset">
                  <i aria-hidden="true" class="fa fa-repeat"></i>
                </button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script th:inline="javascript">
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;
    setTimeout(showTime, 1000);
  }

  showTime();

  const chooseFile1 = document.getElementById("choose-file-1");
  const chooseFile2 = document.getElementById("choose-file-2");
  const chooseFile3 = document.getElementById("choose-file-3");
  const chooseFile4 = document.getElementById("choose-file-4");
  const chooseFile5 = document.getElementById("choose-file-5");
  let chooseFile;

  chooseFile1.addEventListener("change", function () {
    chooseFile = chooseFile1;
    getImgData(1);
  });

  chooseFile2.addEventListener("change", function () {
    chooseFile = chooseFile2;
    getImgData(2);
  });

  chooseFile3.addEventListener("change", function () {
    chooseFile = chooseFile3;
    getImgData(3);
  });

  chooseFile4.addEventListener("change", function () {
    chooseFile = chooseFile4;
    getImgData(4);
  });

  chooseFile5.addEventListener("change", function () {
    chooseFile = chooseFile5;
    getImgData(5);
  });

  function getImgData(number) {
    const imgPreview = document.getElementById("slider" + number);
    const files = chooseFile.files[0];
    if (files) {
      const fileReader = new FileReader();
      fileReader.readAsDataURL(files);
      fileReader.addEventListener("load", function () {
        imgPreview.innerHTML =
            '<img width="1350px" height="550px" alt="" class="d-block w-100" id="slider' + number
            + '" src="' + this.result + '">';
      });
    }
  }

  $(document).on("change", ".file_multi_video", function () {
    $("#confirm-video-button").css("display", "block");
    $("#reset-video-button").css("display", "block");
    var $source = $('#video_here');
    $source[0].src = URL.createObjectURL(this.files[0]);
    $source.parent()[0].load();
  });

  $("#reset-video-button").click(function () {
    $("#confirm-video-button").css("display", "none");
    $("#reset-video-button").css("display", "none");
    var $source = $('#video_here');
    $source[0].src = [[${video_banner}]];
    $source.parent()[0].load();
  });

</script>
</body>
</html>
